<html>
<head>
<title>OGRE: Member List - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<h1>Ogre::ConvexBody Member List</h1>This is the complete list of members for <a class="el" href="classOgre_1_1ConvexBody.html">Ogre::ConvexBody</a>, including all inherited members.<p><table>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ConvexBody.html#0858a878ce677241ef5632b04a7ffea4">_destroyPool</a>()</td><td><a class="el" href="classOgre_1_1ConvexBody.html">Ogre::ConvexBody</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ConvexBody.html#59fb24ee9a509ade6490ad1d9aac16d7">_initialisePool</a>()</td><td><a class="el" href="classOgre_1_1ConvexBody.html">Ogre::ConvexBody</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ConvexBody.html#e7eb606d204e881ac3620f49ef252e7c">allocatePolygon</a>()</td><td><a class="el" href="classOgre_1_1ConvexBody.html">Ogre::ConvexBody</a></td><td><code> [protected, static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ConvexBody.html#712d479b37a37cf294f249b942546293">allocateSpace</a>(size_t numPolygons, size_t numVertices)</td><td><a class="el" href="classOgre_1_1ConvexBody.html">Ogre::ConvexBody</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ConvexBody.html#f5fb91ac168eec8056adb7b2677523e1">clip</a>(const Frustum &amp;frustum)</td><td><a class="el" href="classOgre_1_1ConvexBody.html">Ogre::ConvexBody</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ConvexBody.html#d414f1e05c49050f464c164b9da8e04d">clip</a>(const AxisAlignedBox &amp;aab)</td><td><a class="el" href="classOgre_1_1ConvexBody.html">Ogre::ConvexBody</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ConvexBody.html#132ccd23a0b43b15077605d813051c4d">clip</a>(const ConvexBody &amp;body)</td><td><a class="el" href="classOgre_1_1ConvexBody.html">Ogre::ConvexBody</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ConvexBody.html#c8a3f100f1b91cadf03ec2b9d9d6f684">clip</a>(const Plane &amp;pl, bool keepNegative=true)</td><td><a class="el" href="classOgre_1_1ConvexBody.html">Ogre::ConvexBody</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ConvexBody.html#55e376da89733093d9061f2b5acebfb2">ConvexBody</a>()</td><td><a class="el" href="classOgre_1_1ConvexBody.html">Ogre::ConvexBody</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ConvexBody.html#e9792f9784f57a75d89a8aecb9ee2f58">ConvexBody</a>(const ConvexBody &amp;cpy)</td><td><a class="el" href="classOgre_1_1ConvexBody.html">Ogre::ConvexBody</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ConvexBody.html#9abd096ec64a6eedbd942a4f15ae4c34">define</a>(const Frustum &amp;frustum)</td><td><a class="el" href="classOgre_1_1ConvexBody.html">Ogre::ConvexBody</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ConvexBody.html#f344427771b8ee0bde94a04e68cf4b77">define</a>(const AxisAlignedBox &amp;aab)</td><td><a class="el" href="classOgre_1_1ConvexBody.html">Ogre::ConvexBody</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ConvexBody.html#96f5b0fff03173772d7e20e5ec74e237">deletePolygon</a>(size_t poly)</td><td><a class="el" href="classOgre_1_1ConvexBody.html">Ogre::ConvexBody</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ConvexBody.html#803fa40122153f8772383b7d79ec7e6a">deleteVertex</a>(size_t poly, size_t vertex)</td><td><a class="el" href="classOgre_1_1ConvexBody.html">Ogre::ConvexBody</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ConvexBody.html#b281318edcb6f9438693caecf718616c">extend</a>(const Vector3 &amp;pt)</td><td><a class="el" href="classOgre_1_1ConvexBody.html">Ogre::ConvexBody</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ConvexBody.html#d9638a611986e5d9fbafacd777bb7bd3">findAndEraseEdgePair</a>(const Vector3 &amp;vec, Polygon::EdgeMap &amp;intersectionEdges, Vector3 &amp;vNext) const </td><td><a class="el" href="classOgre_1_1ConvexBody.html">Ogre::ConvexBody</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ConvexBody.html#168b8dd909571bb3f45480d21e709fd4">freePolygon</a>(Polygon *poly)</td><td><a class="el" href="classOgre_1_1ConvexBody.html">Ogre::ConvexBody</a></td><td><code> [protected, static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ConvexBody.html#83072f016eefa58aeb053131faf48ec5">getAABB</a>(void) const </td><td><a class="el" href="classOgre_1_1ConvexBody.html">Ogre::ConvexBody</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ConvexBody.html#bc9d10d37f23d0a0b82f1773bac04e1e">getNormal</a>(size_t poly)</td><td><a class="el" href="classOgre_1_1ConvexBody.html">Ogre::ConvexBody</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ConvexBody.html#6a3e37ac14a7f02de3cf214a3c6eac11">getPolygon</a>(size_t poly) const </td><td><a class="el" href="classOgre_1_1ConvexBody.html">Ogre::ConvexBody</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ConvexBody.html#b31e6599524de129c8186db52f4d3bfc">getPolygonCount</a>(void) const </td><td><a class="el" href="classOgre_1_1ConvexBody.html">Ogre::ConvexBody</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ConvexBody.html#fb0f28d2bc33d000f2b924b3ff287984">getSingleEdges</a>() const </td><td><a class="el" href="classOgre_1_1ConvexBody.html">Ogre::ConvexBody</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ConvexBody.html#e941be51c7c3b852c67e51a15c0bb757">getVertex</a>(size_t poly, size_t vertex) const </td><td><a class="el" href="classOgre_1_1ConvexBody.html">Ogre::ConvexBody</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ConvexBody.html#b62abaefae0a1d6352a05f4945bee81f">getVertexCount</a>(size_t poly) const </td><td><a class="el" href="classOgre_1_1ConvexBody.html">Ogre::ConvexBody</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ConvexBody.html#6d364974ae7837fb6d733b973a8c2e23">hasClosedHull</a>(void) const </td><td><a class="el" href="classOgre_1_1ConvexBody.html">Ogre::ConvexBody</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ConvexBody.html#975d3ab5e37339fac99d712a32134b71">insertPolygon</a>(Polygon *pdata, size_t poly)</td><td><a class="el" href="classOgre_1_1ConvexBody.html">Ogre::ConvexBody</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ConvexBody.html#6d15ea1ce9f9249484b178bb209b2b95">insertPolygon</a>(Polygon *pdata)</td><td><a class="el" href="classOgre_1_1ConvexBody.html">Ogre::ConvexBody</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ConvexBody.html#9d5648f1dd2ab1dd9c85b1581029983e">insertVertex</a>(size_t poly, const Vector3 &amp;vdata, size_t vertex)</td><td><a class="el" href="classOgre_1_1ConvexBody.html">Ogre::ConvexBody</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ConvexBody.html#1e4e72b739b38002b714bcbb63813a7d">insertVertex</a>(size_t poly, const Vector3 &amp;vdata)</td><td><a class="el" href="classOgre_1_1ConvexBody.html">Ogre::ConvexBody</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ConvexBody.html#6244600b134c90e33fa32e6d0f1e008b">logInfo</a>() const </td><td><a class="el" href="classOgre_1_1ConvexBody.html">Ogre::ConvexBody</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ConvexBody.html#4d33db4b9003a76a299649cede0c5557">mergePolygons</a>(void)</td><td><a class="el" href="classOgre_1_1ConvexBody.html">Ogre::ConvexBody</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ConvexBody.html#d139be0d8377d805b0709966974a5cda">moveDataFromBody</a>(ConvexBody &amp;body)</td><td><a class="el" href="classOgre_1_1ConvexBody.html">Ogre::ConvexBody</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ConvexBody.html#4a9287e8e6a68839a451150959b1cd95">mPolygons</a></td><td><a class="el" href="classOgre_1_1ConvexBody.html">Ogre::ConvexBody</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ConvexBody.html#8f45e2762a61cfa1ce2cf11fbc8cb6a9">msFreePolygons</a></td><td><a class="el" href="classOgre_1_1ConvexBody.html">Ogre::ConvexBody</a></td><td><code> [protected, static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ConvexBody.html#54167fd6c91338d1d107fa866c329a3b">operator!=</a>(const ConvexBody &amp;rhs) const </td><td><a class="el" href="classOgre_1_1ConvexBody.html">Ogre::ConvexBody</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ConvexBody.html#1082989fe2c9773d3e2385dec3f7f694">operator&lt;&lt;</a>(std::ostream &amp;strm, const ConvexBody &amp;body)</td><td><a class="el" href="classOgre_1_1ConvexBody.html">Ogre::ConvexBody</a></td><td><code> [friend]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ConvexBody.html#d671d14101224807f28de10abf66f8cd">operator==</a>(const ConvexBody &amp;rhs) const </td><td><a class="el" href="classOgre_1_1ConvexBody.html">Ogre::ConvexBody</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ConvexBody.html#4a13eb065fe856b0354d523394e9dfaa">PolygonList</a> typedef</td><td><a class="el" href="classOgre_1_1ConvexBody.html">Ogre::ConvexBody</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ConvexBody.html#153a0fac3f0c9687a969a2565ccd320e">reset</a>(void)</td><td><a class="el" href="classOgre_1_1ConvexBody.html">Ogre::ConvexBody</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ConvexBody.html#28a76d44fefb5741e2c772533f7b1ed0">setPolygon</a>(Polygon *pdata, size_t poly)</td><td><a class="el" href="classOgre_1_1ConvexBody.html">Ogre::ConvexBody</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ConvexBody.html#115357323021c86327c0aa8a26b2404f">setVertex</a>(size_t poly, const Vector3 &amp;vdata, size_t vertex)</td><td><a class="el" href="classOgre_1_1ConvexBody.html">Ogre::ConvexBody</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ConvexBody.html#4bd6ead8c709b50e3ae96e6c518b50cc">storeEdgesOfPolygon</a>(size_t poly, Polygon::EdgeMap *edgeMap) const </td><td><a class="el" href="classOgre_1_1ConvexBody.html">Ogre::ConvexBody</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ConvexBody.html#bd7e84750f61aed920fb4e847ea29ac9">unlinkPolygon</a>(size_t poly)</td><td><a class="el" href="classOgre_1_1ConvexBody.html">Ogre::ConvexBody</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ConvexBody.html#6f643f10031458c33cc9b51dc4a8f893">~ConvexBody</a>()</td><td><a class="el" href="classOgre_1_1ConvexBody.html">Ogre::ConvexBody</a></td><td></td></tr>
</table><hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:49:29 2008
</p>
</body>
</html>
